### Function

# FwupdPlugin struct_oprom_set_machine_type

since: 1.0

#### Declaration [src]

    void
    fu_struct_oprom_set_machine_type (
      FuStructOprom* st,
      guint16 value
    )

#### Description

No description available.

Available since: 1.0

This function is not directly available to language bindings.

#### Parameters

`st`

  Type: `FuStructOprom`

  No description available.

  The data is owned by the caller of the function.

`value`

  Type: `guint16`

  No description available.